Bug 813433 - Review Request: dt - A generic data test program
Review Request: dt - A generic data test program
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 14:45 EDT by Ondrej Kozina
Modified: 2013-02-28 23:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 17:25:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbroz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ondrej Kozina 2012-04-17 14:45:52 EDT
Spec URL: http://okozina.fedorapeople.org/dt.spec
SRPM URL: http://okozina.fedorapeople.org/dt-16.08-1.fc18.src.rpm

Description: dt is a generic data test program used to verify proper operation of
peripherals, file systems, device drivers, or any data stream supported by the
operating system. In its' simplest mode of operation, dt writes and then
verifies its' default data pattern, then displays performance statistics and
other test parameters before exiting. Since verification of data is performed,
dt can be thought of as a generic diagnostic tool.

dt command lines are similar to the dd program, which is popular on most UNIX
systems. It contains numerous options to give the user control of various test
parameters.

dt has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, dt can be used for any device
that allows the standard open, read, write, and close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.
Comment 1 Milan Broz 2012-04-18 07:45:31 EDT
I am using this test for dmcrypt, so will try to review it:

Issues

- remove rm -rf $RPM_BUILD_ROOT

- separate documentation perhaps?

[!]: MUST Rpmlint output is silent.

rpmlint dt-16.08-1.fc18.i686.rpm

dt.i686: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
dt.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/dt-16.08/WindowsTesting.txt

- maybe recode text or do not install it at all for Fedora?

dt.i686: W: no-manual-page-for-binary dt
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

- I know there is no man page upstream, but perhaps add at least some basic info?

rpmlint dt-debuginfo-16.08-1.fc18.i686.rpm

dt-debuginfo.i686: E: empty-debuginfo-package
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

- please fix build so debuginfo is usable

rpmlint dt-16.08-1.fc18.src.rpm

dt.src: W: spelling-error %description -l en_US usr -> use, us, user
dt.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
dt.src: W: invalid-url Source0: dt-source.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

(I know upstream availability is here problem, so this is perhaps exception.)
Comment 2 Ondrej Kozina 2012-04-18 14:19:45 EDT
I've got my hands on fresh version so this is complete rebuild:

- corrected the issues with debuginfo package
- removed some docs unrelated to Fedora/Linux
- fortunately, manpage is included within the new src tarball (cheers!)

new location:

Spec URL: http://okozina.fedorapeople.org/dt-17.55/dt.spec
SRPM URL: http://okozina.fedorapeople.org/dt-17.55/dt-17.55-1.fc18.src.rpm
Comment 3 Milan Broz 2012-04-19 07:35:45 EDT
for reference, fedora-review script output:

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.

==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint dt-17.55-1.fc18.i686.rpm

dt.i686: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dt-debuginfo-17.55-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint dt-17.55-1.fc18.src.rpm

dt.src: W: spelling-error %description -l en_US usr -> use, us, user
dt.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/u/dt-source-v17.55.tar.gz :
  MD5SUM this package     : 123174eb2755a944266f11975cf729a8
  MD5SUM upstream package : 123174eb2755a944266f11975cf729a8

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: http://dl.dropbox.com/u/32363629/Datatest/dt-
     source-v%{version}.tar.gz (dt-source-v%{version}.tar.gz) Patch0:
     dt-17.55-manpage.patch (dt-17.55-manpage.patch)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint dt-17.55-1.fc18.i686.rpm

dt.i686: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dt-debuginfo-17.55-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint dt-17.55-1.fc18.src.rpm

dt.src: W: spelling-error %description -l en_US usr -> use, us, user
dt.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 4 Milan Broz 2012-04-19 08:12:39 EDT
- MIT license, (see also http://osdir.com/ml/fedora-legal-list/2012-01/msg00016.html )
- LICENSE text in %doc

- upstream location is strange (dropbox) but Author apparently provided it here

- package in the same group as fio test (Applications/System)

- rpmlint issues can be ignored here (con fig? really? :-)

- [!]: SHOULD SourceX / PatchY prefixed with %{name}.
I don't this this is good idea, anyway this is packager decision.

- doc can be in package itself, it is up to packager

I see no other problem,
package APPROVED

(please request git etc now, see http://fedoraproject.org/wiki/Package_SCM_admin_requests)
Comment 5 Ondrej Kozina 2012-04-19 08:51:26 EDT
New Package SCM Request
=======================
Package Name: dt
Short Description: Generic data test program
Owners: okozina
Branches: fc17
InitialCC:
Comment 6 Gwyn Ciesla 2012-04-19 09:00:51 EDT
Git done (by process-git-requests).

Corrected branch name, fc17=>f17.

Note You need to log in before you can comment on or make changes to this bug.